Index: NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/annex_C.tex	(revision 11435)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex	(revision 11543)
@@ -6,5 +6,5 @@
 % ================================================================
 \chapter{Discrete Invariants of the Equations}
-\label{apdx:C}
+\label{apdx:INVARIANTS}
 
 \chaptertoc
@@ -21,5 +21,5 @@
 % ================================================================
 \section{Introduction / Notations}
-\label{sec:C.0}
+\label{sec:INVARIANTS_0}
 
 Notation used in this appendix in the demonstations:
@@ -72,5 +72,5 @@
 that is in a more compact form :
 \begin{flalign}
-  \label{eq:Q2_flux}
+  \label{eq:INVARIANTS_Q2_flux}
   \partial_t \left( \int_D {\frac{1}{2} Q^2\;dv} \right)
   =&                   \int_D { \frac{Q}{e_3}  \partial_t \left( e_3 \, Q \right) dv }
@@ -87,5 +87,5 @@
 that is in a more compact form:
 \begin{flalign}
-  \label{eq:Q2_vect}
+  \label{eq:INVARIANTS_Q2_vect}
   \partial_t \left( \int_D {\frac{1}{2} Q^2\;dv} \right)
   =& \int_D {         Q   \,\partial_t Q  \;dv }
@@ -97,5 +97,5 @@
 % ================================================================
 \section{Continuous conservation}
-\label{sec:C.1}
+\label{sec:INVARIANTS_1}
 
 The discretization of pimitive equation in $s$-coordinate (\ie\ time and space varying vertical coordinate)
@@ -105,5 +105,5 @@
 The total energy (\ie\ kinetic plus potential energies) is conserved:
 \begin{flalign}
-  \label{eq:Tot_Energy}
+  \label{eq:INVARIANTS_Tot_Energy}
   \partial_t \left( \int_D \left( \frac{1}{2} {\textbf{U}_h}^2 +  \rho \, g \, z \right) \;dv \right)  = & 0
 \end{flalign}
@@ -114,18 +114,18 @@
 The transformation for the advection term depends on whether the vector invariant form or
 the flux form is used for the momentum equation.
-Using \autoref{eq:Q2_vect} and introducing \autoref{apdx:A_dyn_vect} in
-\autoref{eq:Tot_Energy} for the former form and
-using \autoref{eq:Q2_flux} and introducing \autoref{apdx:A_dyn_flux} in
-\autoref{eq:Tot_Energy} for the latter form leads to:
-
-% \label{eq:E_tot}
+Using \autoref{eq:INVARIANTS_Q2_vect} and introducing \autoref{eq:SCOORD_dyn_vect} in
+\autoref{eq:INVARIANTS_Tot_Energy} for the former form and
+using \autoref{eq:INVARIANTS_Q2_flux} and introducing \autoref{eq:SCOORD_dyn_flux} in
+\autoref{eq:INVARIANTS_Tot_Energy} for the latter form leads to:
+
+% \label{eq:INVARIANTS_E_tot}
 advection term (vector invariant form):
 \[
-  % \label{eq:E_tot_vect_vor_1}
+  % \label{eq:INVARIANTS_E_tot_vect_vor_1}
   \int\limits_D  \zeta \; \left( \textbf{k} \times \textbf{U}_h  \right) \cdot \textbf{U}_h  \;  dv   = 0   \\
 \]
 %
 \[
-  % \label{eq:E_tot_vect_adv_1}
+  % \label{eq:INVARIANTS_E_tot_vect_adv_1}
   \int\limits_D  \textbf{U}_h \cdot \nabla_h \left( \frac{{\textbf{U}_h}^2}{2} \right)     dv
   + \int\limits_D  \textbf{U}_h \cdot \nabla_z \textbf{U}_h  \;dv
@@ -134,10 +134,10 @@
 advection term (flux form):
 \[
-  % \label{eq:E_tot_flux_metric}
+  % \label{eq:INVARIANTS_E_tot_flux_metric}
   \int\limits_D  \frac{1} {e_1 e_2 } \left( v \,\partial_i e_2 - u \,\partial_j e_1  \right)\;
   \left(  \textbf{k} \times \textbf{U}_h  \right) \cdot \textbf{U}_h  \;  dv   = 0
 \]
 \[
-  % \label{eq:E_tot_flux_adv}
+  % \label{eq:INVARIANTS_E_tot_flux_adv}
   \int\limits_D \textbf{U}_h \cdot     \left(                 {{
         \begin{array} {*{20}c}
@@ -150,10 +150,10 @@
 coriolis term
 \[
-  % \label{eq:E_tot_cor}
+  % \label{eq:INVARIANTS_E_tot_cor}
   \int\limits_D  f   \; \left( \textbf{k} \times \textbf{U}_h  \right) \cdot \textbf{U}_h  \;  dv   = 0
 \]
 pressure gradient:
 \[
-  % \label{eq:E_tot_pg_1}
+  % \label{eq:INVARIANTS_E_tot_pg_1}
   - \int\limits_D  \left. \nabla p \right|_z \cdot \textbf{U}_h \;dv
   = - \int\limits_D \nabla \cdot \left( \rho \,\textbf {U} \right)\;g\;z\;\;dv
@@ -173,11 +173,11 @@
 
 Vector invariant form:
-% \label{eq:E_tot_vect}
-\[
-  % \label{eq:E_tot_vect_vor_2}
+% \label{eq:INVARIANTS_E_tot_vect}
+\[
+  % \label{eq:INVARIANTS_E_tot_vect_vor_2}
   \int\limits_D   \textbf{U}_h \cdot \text{VOR} \;dv   = 0
 \]
 \[
-  % \label{eq:E_tot_vect_adv_2}
+  % \label{eq:INVARIANTS_E_tot_vect_adv_2}
   \int\limits_D  \textbf{U}_h \cdot \text{KEG}  \;dv
   + \int\limits_D  \textbf{U}_h \cdot \text{ZAD}  \;dv
@@ -185,5 +185,5 @@
 \]
 \[
-  % \label{eq:E_tot_pg_2}
+  % \label{eq:INVARIANTS_E_tot_pg_2}
   - \int\limits_D  \textbf{U}_h \cdot (\text{HPG}+ \text{SPG}) \;dv
   = - \int\limits_D \nabla \cdot \left( \rho \,\textbf {U} \right)\;g\;z\;\;dv
@@ -193,16 +193,16 @@
 Flux form:
 \begin{subequations}
-  \label{eq:E_tot_flux}
+  \label{eq:INVARIANTS_E_tot_flux}
   \[
-    % \label{eq:E_tot_flux_metric_2}
+    % \label{eq:INVARIANTS_E_tot_flux_metric_2}
     \int\limits_D  \textbf{U}_h \cdot \text {COR} \;  dv   = 0
   \]
   \[
-    % \label{eq:E_tot_flux_adv_2}
+    % \label{eq:INVARIANTS_E_tot_flux_adv_2}
     \int\limits_D \textbf{U}_h \cdot \text{ADV}   \;dv
     +   \frac{1}{2} \int\limits_D {  {\textbf{U}_h}^2 \frac{1}{e_3} \partial_t e_3  \;dv } =\;0
   \]
   \begin{equation}
-    \label{eq:E_tot_pg_3}
+    \label{eq:INVARIANTS_E_tot_pg_3}
     - \int\limits_D  \textbf{U}_h \cdot (\text{HPG}+ \text{SPG}) \;dv
     = - \int\limits_D \nabla \cdot \left( \rho \,\textbf {U} \right)\;g\;z\;\;dv
@@ -211,6 +211,6 @@
 \end{subequations}
 
-\autoref{eq:E_tot_pg_3} is the balance between the conversion KE to PE and PE to KE.
-Indeed the left hand side of \autoref{eq:E_tot_pg_3} can be transformed as follows:
+\autoref{eq:INVARIANTS_E_tot_pg_3} is the balance between the conversion KE to PE and PE to KE.
+Indeed the left hand side of \autoref{eq:INVARIANTS_E_tot_pg_3} can be transformed as follows:
 \begin{flalign*}
   \partial_t  \left( \int\limits_D { \rho \, g \, z  \;dv} \right)
@@ -225,7 +225,7 @@
 \end{flalign*}
 where the last equality is obtained by noting that the brackets is exactly the expression of $w$,
-the vertical velocity referenced to the fixe $z$-coordinate system (see \autoref{apdx:A_w_s}).
-
-The left hand side of \autoref{eq:E_tot_pg_3} can be transformed as follows:
+the vertical velocity referenced to the fixe $z$-coordinate system (see \autoref{eq:SCOORD_w_s}).
+
+The left hand side of \autoref{eq:INVARIANTS_E_tot_pg_3} can be transformed as follows:
 \begin{flalign*}
   - \int\limits_D  \left. \nabla p \right|_z & \cdot \textbf{U}_h \;dv
@@ -326,5 +326,5 @@
 % ================================================================
 \section{Discrete total energy conservation: vector invariant form}
-\label{sec:C.2}
+\label{sec:INVARIANTS_2}
 
 % -------------------------------------------------------------------------------------------------------------
@@ -332,7 +332,7 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Total energy conservation}
-\label{subsec:C_KE+PE_vect}
-
-The discrete form of the total energy conservation, \autoref{eq:Tot_Energy}, is given by:
+\label{subsec:INVARIANTS_KE+PE_vect}
+
+The discrete form of the total energy conservation, \autoref{eq:INVARIANTS_Tot_Energy}, is given by:
 \begin{flalign*}
   \partial_t  \left(  \sum\limits_{i,j,k} \biggl\{ \frac{u^2}{2} \,b_u + \frac{v^2}{2}\, b_v +  \rho \, g \, z_t \,b_t  \biggr\} \right) &=0
@@ -340,5 +340,5 @@
 which in vector invariant forms, it leads to:
 \begin{equation}
-  \label{eq:KE+PE_vect_discrete}
+  \label{eq:INVARIANTS_KE+PE_vect_discrete}
   \begin{split}
     \sum\limits_{i,j,k} \biggl\{   u\,                        \partial_t u         \;b_u
@@ -352,5 +352,5 @@
 
 Substituting the discrete expression of the time derivative of the velocity either in vector invariant,
-leads to the discrete equivalent of the four equations \autoref{eq:E_tot_flux}.
+leads to the discrete equivalent of the four equations \autoref{eq:INVARIANTS_E_tot_flux}.
 
 % -------------------------------------------------------------------------------------------------------------
@@ -358,5 +358,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Vorticity term (coriolis + vorticity part of the advection)}
-\label{subsec:C_vor}
+\label{subsec:INVARIANTS_vor}
 
 Let $q$, located at $f$-points, be either the relative ($q=\zeta / e_{3f}$),
@@ -367,5 +367,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Vorticity term with ENE scheme (\protect\np{ln\_dynvor\_ene}\forcode{ = .true.})}
-\label{subsec:C_vorENE}
+\label{subsec:INVARIANTS_vorENE}
 
 For the ENE scheme, the two components of the vorticity term are given by:
@@ -407,9 +407,9 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Vorticity term with EEN scheme (\protect\np{ln\_dynvor\_een}\forcode{ = .true.})}
-\label{subsec:C_vorEEN_vect}
+\label{subsec:INVARIANTS_vorEEN_vect}
 
 With the EEN scheme, the vorticity terms are represented as:
 \begin{equation}
-  \tag{\ref{eq:dynvor_een}}
+  \label{eq:INVARIANTS_dynvor_een}
   \left\{ {
       \begin{aligned}
@@ -424,5 +424,5 @@
 and the vorticity triads, ${^i_j}\mathbb{Q}^{i_p}_{j_p}$, defined at $T$-point, are given by:
 \begin{equation}
-  \tag{\ref{eq:Q_triads}}
+  \label{eq:INVARIANTS_Q_triads}
   _i^j \mathbb{Q}^{i_p}_{j_p}
   = \frac{1}{12} \ \left(   q^{i-i_p}_{j+j_p} + q^{i+j_p}_{j+i_p} + q^{i+i_p}_{j-j_p}  \right)
@@ -479,5 +479,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Gradient of kinetic energy / Vertical advection}
-\label{subsec:C_zad}
+\label{subsec:INVARIANTS_zad}
 
 The change of Kinetic Energy (KE) due to the vertical advection is exactly balanced by the change of KE due to the horizontal gradient of KE~:
@@ -542,5 +542,5 @@
   %
   \intertext{The first term provides the discrete expression for the vertical advection of momentum (ZAD),
-    while the second term corresponds exactly to \autoref{eq:KE+PE_vect_discrete}, therefore:}
+    while the second term corresponds exactly to \autoref{eq:INVARIANTS_KE+PE_vect_discrete}, therefore:}
   \equiv&                   \int\limits_D \textbf{U}_h \cdot \text{ZAD} \;dv
   + \frac{1}{2} \int_D { {\textbf{U}_h}^2 \frac{1}{e_3} \partial_t  (e_3)  \;dv }    &&&\\
@@ -578,5 +578,5 @@
 which is (over-)satified by defining the vertical scale factor as follows:
 \begin{flalign*}
-  % \label{eq:e3u-e3v}
+  % \label{eq:INVARIANTS_e3u-e3v}
   e_{3u} = \frac{1}{e_{1u}\,e_{2u}}\;\overline{ e_{1t}^{ }\,e_{2t}^{ }\,e_{3t}^{ } }^{\,i+1/2}    \\
   e_{3v} = \frac{1}{e_{1v}\,e_{2v}}\;\overline{ e_{1t}^{ }\,e_{2t}^{ }\,e_{3t}^{ } }^{\,j+1/2}
@@ -590,5 +590,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Pressure gradient term}
-\label{subsec:C.2.6}
+\label{subsec:INVARIANTS_2.6}
 
 \gmcomment{
@@ -622,5 +622,5 @@
   \allowdisplaybreaks
   \intertext{Using successively \autoref{eq:DOM_di_adj}, \ie\ the skew symmetry property of
-    the $\delta$ operator, \autoref{eq:wzv}, the continuity equation, \autoref{eq:dynhpg_sco},
+    the $\delta$ operator, \autoref{eq:DYN_wzv}, the continuity equation, \autoref{eq:DYN_hpg_sco},
     the hydrostatic equation in the $s$-coordinate, and $\delta_{k+1/2} \left[ z_t \right] \equiv e_{3w} $,
     which comes from the definition of $z_t$, it becomes: }
@@ -667,8 +667,8 @@
   %
 \end{flalign*}
-The first term is exactly the first term of the right-hand-side of \autoref{eq:KE+PE_vect_discrete}.
+The first term is exactly the first term of the right-hand-side of \autoref{eq:INVARIANTS_KE+PE_vect_discrete}.
 It remains to demonstrate that the last term,
 which is obviously a discrete analogue of $\int_D \frac{p}{e_3} \partial_t (e_3)\;dv$ is equal to
-the last term of \autoref{eq:KE+PE_vect_discrete}.
+the last term of \autoref{eq:INVARIANTS_KE+PE_vect_discrete}.
 In other words, the following property must be satisfied:
 \begin{flalign*}
@@ -735,5 +735,5 @@
 % ================================================================
 \section{Discrete total energy conservation: flux form}
-\label{sec:C.3}
+\label{sec:INVARIANTS_3}
 
 % -------------------------------------------------------------------------------------------------------------
@@ -741,7 +741,7 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Total energy conservation}
-\label{subsec:C_KE+PE_flux}
-
-The discrete form of the total energy conservation, \autoref{eq:Tot_Energy}, is given by:
+\label{subsec:INVARIANTS_KE+PE_flux}
+
+The discrete form of the total energy conservation, \autoref{eq:INVARIANTS_Tot_Energy}, is given by:
 \begin{flalign*}
   \partial_t \left(  \sum\limits_{i,j,k} \biggl\{ \frac{u^2}{2} \,b_u + \frac{v^2}{2}\, b_v +  \rho \, g \, z_t \,b_t  \biggr\} \right) &=0  \\
@@ -765,5 +765,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Coriolis and advection terms: flux form}
-\label{subsec:C.3.2}
+\label{subsec:INVARIANTS_3.2}
 
 % -------------------------------------------------------------------------------------------------------------
@@ -771,5 +771,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Coriolis plus ``metric'' term}
-\label{subsec:C.3.3}
+\label{subsec:INVARIANTS_3.3}
 
 In flux from the vorticity term reduces to a Coriolis term in which
@@ -786,5 +786,5 @@
 Either the ENE or EEN scheme is then applied to obtain the vorticity term in flux form.
 It therefore conserves the total KE.
-The derivation is the same as for the vorticity term in the vector invariant form (\autoref{subsec:C_vor}).
+The derivation is the same as for the vorticity term in the vector invariant form (\autoref{subsec:INVARIANTS_vor}).
 
 % -------------------------------------------------------------------------------------------------------------
@@ -792,5 +792,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Flux form advection}
-\label{subsec:C.3.4}
+\label{subsec:INVARIANTS_3.4}
 
 The flux form operator of the momentum advection is evaluated using
@@ -800,5 +800,5 @@
 
 \begin{equation}
-  \label{eq:C_ADV_KE_flux}
+  \label{eq:INVARIANTS_ADV_KE_flux}
   -  \int_D \textbf{U}_h \cdot     \left(                 {{
         \begin{array} {*{20}c}
@@ -863,5 +863,5 @@
 \]
 which is the discrete form of $ \frac{1}{2} \int_D u \cdot \nabla \cdot \left(   \textbf{U}\,u   \right) \; dv $.
-\autoref{eq:C_ADV_KE_flux} is thus satisfied.
+\autoref{eq:INVARIANTS_ADV_KE_flux} is thus satisfied.
 
 When the UBS scheme is used to evaluate the flux form momentum advection,
@@ -873,5 +873,5 @@
 % ================================================================
 \section{Discrete enstrophy conservation}
-\label{sec:C.4}
+\label{sec:INVARIANTS_4}
 
 % -------------------------------------------------------------------------------------------------------------
@@ -879,9 +879,9 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Vorticity term with ENS scheme  (\protect\np{ln\_dynvor\_ens}\forcode{ = .true.})}
-\label{subsec:C_vorENS}
+\label{subsec:INVARIANTS_vorENS}
 
 In the ENS scheme, the vorticity term is descretized as follows:
 \begin{equation}
-  \tag{\ref{eq:dynvor_ens}}
+  \label{eq:INVARIANTS_dynvor_ens}
   \left\{
     \begin{aligned}
@@ -898,10 +898,10 @@
 it can be shown that:
 \begin{equation}
-  \label{eq:C_1.1}
+  \label{eq:INVARIANTS_1.1}
   \int_D {q\,\;{\textbf{k}}\cdot \frac{1} {e_3} \nabla \times \left( {e_3 \, q \;{\textbf{k}}\times {\textbf{U}}_h } \right)\;dv} \equiv 0
 \end{equation}
 where $dv=e_1\,e_2\,e_3 \; di\,dj\,dk$ is the volume element.
-Indeed, using \autoref{eq:dynvor_ens},
-the discrete form of the right hand side of \autoref{eq:C_1.1} can be transformed as follow:
+Indeed, using \autoref{eq:DYN_vor_ens},
+the discrete form of the right hand side of \autoref{eq:INVARIANTS_1.1} can be transformed as follow:
 \begin{flalign*}
   &\int_D q \,\; \textbf{k} \cdot \frac{1} {e_3 } \nabla \times
@@ -948,9 +948,9 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsubsection{Vorticity Term with EEN scheme (\protect\np{ln\_dynvor\_een}\forcode{ = .true.})}
-\label{subsec:C_vorEEN}
+\label{subsec:INVARIANTS_vorEEN}
 
 With the EEN scheme, the vorticity terms are represented as:
 \begin{equation}
-  \tag{\ref{eq:dynvor_een}}
+  \label{eq:INVARIANTS_dynvor_een}
   \left\{ {
       \begin{aligned}
@@ -966,5 +966,5 @@
 and the vorticity triads, ${^i_j}\mathbb{Q}^{i_p}_{j_p}$, defined at $T$-point, are given by:
 \begin{equation}
-  \tag{\ref{eq:Q_triads}}
+  \tag{\ref{eq:INVARIANTS_Q_triads}}
   _i^j \mathbb{Q}^{i_p}_{j_p}
   = \frac{1}{12} \ \left(   q^{i-i_p}_{j+j_p} + q^{i+j_p}_{j+i_p} + q^{i+i_p}_{j-j_p}  \right)
@@ -975,5 +975,5 @@
 Let consider one of the vorticity triad, for example ${^{i}_j}\mathbb{Q}^{+1/2}_{+1/2} $,
 similar manipulation can be done for the 3 others.
-The discrete form of the right hand side of \autoref{eq:C_1.1} applied to
+The discrete form of the right hand side of \autoref{eq:INVARIANTS_1.1} applied to
 this triad only can be transformed as follow:
 
@@ -1021,5 +1021,5 @@
 % ================================================================
 \section{Conservation properties on tracers}
-\label{sec:C.5}
+\label{sec:INVARIANTS_5}
 
 All the numerical schemes used in \NEMO\ are written such that the tracer content is conserved by
@@ -1037,5 +1037,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Advection term}
-\label{subsec:C.5.1}
+\label{subsec:INVARIANTS_5.1}
 
 conservation of a tracer, $T$:
@@ -1103,5 +1103,5 @@
 % ================================================================
 \section{Conservation properties on lateral momentum physics}
-\label{sec:dynldf_properties}
+\label{sec:INVARIANTS_dynldf_properties}
 
 The discrete formulation of the horizontal diffusion of momentum ensures
@@ -1124,5 +1124,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Conservation of potential vorticity}
-\label{subsec:C.6.1}
+\label{subsec:INVARIANTS_6.1}
 
 The lateral momentum diffusion term conserves the potential vorticity:
@@ -1158,5 +1158,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Dissipation of horizontal kinetic energy}
-\label{subsec:C.6.2}
+\label{subsec:INVARIANTS_6.2}
 
 The lateral momentum diffusion term dissipates the horizontal kinetic energy:
@@ -1210,5 +1210,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Dissipation of enstrophy}
-\label{subsec:C.6.3}
+\label{subsec:INVARIANTS_6.3}
 
 The lateral momentum diffusion term dissipates the enstrophy when the eddy coefficients are horizontally uniform:
@@ -1234,5 +1234,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Conservation of horizontal divergence}
-\label{subsec:C.6.4}
+\label{subsec:INVARIANTS_6.4}
 
 When the horizontal divergence of the horizontal diffusion of momentum (discrete sense) is taken,
@@ -1261,5 +1261,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Dissipation of horizontal divergence variance}
-\label{subsec:C.6.5}
+\label{subsec:INVARIANTS_6.5}
 
 \begin{flalign*}
@@ -1287,5 +1287,5 @@
 % ================================================================
 \section{Conservation properties on vertical momentum physics}
-\label{sec:C.7}
+\label{sec:INVARIANTS_7}
 
 As for the lateral momentum physics,
@@ -1458,5 +1458,5 @@
 % ================================================================
 \section{Conservation properties on tracer physics}
-\label{sec:C.8}
+\label{sec:INVARIANTS_8}
 
 The numerical schemes used for tracer subgridscale physics are written such that
@@ -1470,5 +1470,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Conservation of tracers}
-\label{subsec:C.8.1}
+\label{subsec:INVARIANTS_8.1}
 
 constraint of conservation of tracers:
@@ -1503,5 +1503,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection{Dissipation of tracer variance}
-\label{subsec:C.8.2}
+\label{subsec:INVARIANTS_8.2}
 
 constraint on the dissipation of tracer variance: