Index: NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11543)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11558)
@@ -43,5 +43,9 @@
 %--------------------------------------------namdom-------------------------------------------------------
 
-\nlst{namdom_domcfg}
+\begin{listing}
+  \nlst{namdom_domcfg}
+  \caption{\texttt{namdom\_domcfg}}
+  \label{lst:namdom_domcfg}
+\end{listing}
 %--------------------------------------------------------------------------------------------------------------
 
@@ -103,4 +107,5 @@
 \section{Vertical grid}
 \label{sec:DOMCFG_vert}
+
 \subsection{Vertical reference coordinate}
 \label{sec:DOMCFG_zref}
@@ -108,12 +113,11 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb]
-  \begin{center}
-    \includegraphics[width=\textwidth]{Fig_zgr}
-    \caption{
-      \protect\label{fig:DOMCFG_zgr}
-      Default vertical mesh for ORCA2: 30 ocean levels (L30).
-      Vertical level functions for (a) T-point depth and (b) the associated scale factor for the $z$-coordinate case.
-    }
-  \end{center}
+  \centering
+  \includegraphics[width=\textwidth]{Fig_zgr}
+  \caption[DOMAINcfg: default vertical mesh for ORCA2]{
+    Default vertical mesh for ORCA2: 30 ocean levels (L30).
+    Vertical level functions for (a) T-point depth and (b) the associated scale factor for
+    the $z$-coordinate case.}
+  \label{fig:DOMCFG_zgr}
 \end{figure}
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -225,78 +229,77 @@
 %% %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{table}
-  \begin{center}
-    \begin{tabular}{c||r|r|r|r}
-      \hline
-      \textbf{LEVEL} & \textbf{gdept\_1d} & \textbf{gdepw\_1d} & \textbf{e3t\_1d } & \textbf{e3w\_1d} \\
-   \hline
-      1              & \textbf{     5.00} &               0.00 & \textbf{   10.00} &            10.00 \\
-      \hline
-      2              & \textbf{    15.00} &	            10.00 & \textbf{   10.00} &            10.00 \\
-      \hline
-      3              & \textbf{    25.00} &              20.00 & \textbf{   10.00} &            10.00 \\
-      \hline
-      4              & \textbf{    35.01} &	            30.00 & \textbf{   10.01} &            10.00 \\
-      \hline
-      5              & \textbf{    45.01} &              40.01 & \textbf{   10.01} &            10.01 \\
-      \hline
-      6              & \textbf{    55.03} &              50.02 & \textbf{   10.02} &            10.02 \\
-      \hline
-      7              & \textbf{    65.06} &              60.04 & \textbf{   10.04} &            10.03 \\
-      \hline
-      8              & \textbf{    75.13} &              70.09 & \textbf{   10.09} &            10.06 \\
-      \hline
-      9              & \textbf{    85.25} &              80.18 & \textbf{   10.17} &            10.12 \\
-      \hline
-      10             & \textbf{    95.49} &              90.35 & \textbf{   10.33} &            10.24 \\
-      \hline
-      11             & \textbf{   105.97} &             100.69 & \textbf{   10.65} &            10.47 \\
-      \hline
-      12             & \textbf{   116.90} &             111.36 & \textbf{   11.27} &            10.91 \\
-      \hline
-      13             & \textbf{   128.70} &             122.65 & \textbf{   12.47} &            11.77 \\
-      \hline
-      14             & \textbf{   142.20} &             135.16 & \textbf{   14.78} &            13.43 \\
-      \hline
-      15             & \textbf{   158.96} &             150.03 & \textbf{   19.23} &            16.65 \\
-      \hline
-      16             & \textbf{   181.96} &             169.42 & \textbf{   27.66} &            22.78 \\
-      \hline
-      17             & \textbf{   216.65} &             197.37 & \textbf{   43.26} &            34.30 \\
-      \hline
-      18             & \textbf{   272.48} &             241.13 & \textbf{   70.88} &            55.21 \\
-      \hline
-      19             & \textbf{   364.30} &             312.74 & \textbf{  116.11} &            90.99 \\
-      \hline
-      20             & \textbf{   511.53} &             429.72 & \textbf{  181.55} &           146.43 \\
-      \hline
-      21             & \textbf{   732.20} &             611.89 & \textbf{  261.03} &           220.35 \\
-      \hline
-      22             & \textbf{  1033.22} &             872.87 & \textbf{  339.39} &           301.42 \\
-      \hline
-      23             & \textbf{  1405.70} &            1211.59 & \textbf{  402.26} &           373.31 \\
-      \hline
-      24             & \textbf{  1830.89} &            1612.98 & \textbf{  444.87} &           426.00 \\
-      \hline
-      25             & \textbf{  2289.77} &            2057.13 & \textbf{  470.55} &           459.47 \\
-      \hline
-      26             & \textbf{  2768.24} &            2527.22 & \textbf{  484.95} &           478.83 \\
-      \hline
-      27             & \textbf{  3257.48} &            3011.90 & \textbf{  492.70} &           489.44 \\
-      \hline
-      28             & \textbf{  3752.44} &            3504.46 & \textbf{  496.78} &           495.07 \\
-      \hline
-      29             & \textbf{  4250.40} &            4001.16 & \textbf{  498.90} &           498.02 \\
-      \hline
-      30             & \textbf{  4749.91} &            4500.02 & \textbf{  500.00} &           499.54 \\
-      \hline
-      31             & \textbf{  5250.23} &            5000.00 & \textbf{  500.56} &           500.33 \\
-      \hline
-    \end{tabular}
-  \end{center}
-  \caption{
-    \protect\label{tab:DOMCFG_orca_zgr}
-    Default vertical mesh in $z$-coordinate for 30 layers ORCA2 configuration as computed from
-    \autoref{eq:DOMCFG_zgr_ana_2} using the coefficients given in \autoref{eq:DOMCFG_zgr_coef}
-  }
+  \centering
+  \begin{tabular}{c||r|r|r|r}
+    \hline
+    \textbf{LEVEL} & \textbf{gdept\_1d} & \textbf{gdepw\_1d} & \textbf{e3t\_1d } & \textbf{e3w\_1d} \\
+    \hline
+    1              & \textbf{     5.00} &               0.00 & \textbf{   10.00} &            10.00 \\
+    \hline
+    2              & \textbf{    15.00} &              10.00 & \textbf{   10.00} &            10.00 \\
+    \hline
+    3              & \textbf{    25.00} &              20.00 & \textbf{   10.00} &            10.00 \\
+    \hline
+    4              & \textbf{    35.01} &              30.00 & \textbf{   10.01} &            10.00 \\
+    \hline
+    5              & \textbf{    45.01} &              40.01 & \textbf{   10.01} &            10.01 \\
+    \hline
+    6              & \textbf{    55.03} &              50.02 & \textbf{   10.02} &            10.02 \\
+    \hline
+    7              & \textbf{    65.06} &              60.04 & \textbf{   10.04} &            10.03 \\
+    \hline
+    8              & \textbf{    75.13} &              70.09 & \textbf{   10.09} &            10.06 \\
+    \hline
+    9              & \textbf{    85.25} &              80.18 & \textbf{   10.17} &            10.12 \\
+    \hline
+    10             & \textbf{    95.49} &              90.35 & \textbf{   10.33} &            10.24 \\
+    \hline
+    11             & \textbf{   105.97} &             100.69 & \textbf{   10.65} &            10.47 \\
+    \hline
+    12             & \textbf{   116.90} &             111.36 & \textbf{   11.27} &            10.91 \\
+    \hline
+    13             & \textbf{   128.70} &             122.65 & \textbf{   12.47} &            11.77 \\
+    \hline
+    14             & \textbf{   142.20} &             135.16 & \textbf{   14.78} &            13.43 \\
+    \hline
+    15             & \textbf{   158.96} &             150.03 & \textbf{   19.23} &            16.65 \\
+    \hline
+    16             & \textbf{   181.96} &             169.42 & \textbf{   27.66} &            22.78 \\
+    \hline
+    17             & \textbf{   216.65} &             197.37 & \textbf{   43.26} &            34.30 \\
+    \hline
+    18             & \textbf{   272.48} &             241.13 & \textbf{   70.88} &            55.21 \\
+    \hline
+    19             & \textbf{   364.30} &             312.74 & \textbf{  116.11} &            90.99 \\
+    \hline
+    20             & \textbf{   511.53} &             429.72 & \textbf{  181.55} &           146.43 \\
+    \hline
+    21             & \textbf{   732.20} &             611.89 & \textbf{  261.03} &           220.35 \\
+    \hline
+    22             & \textbf{  1033.22} &             872.87 & \textbf{  339.39} &           301.42 \\
+    \hline
+    23             & \textbf{  1405.70} &            1211.59 & \textbf{  402.26} &           373.31 \\
+    \hline
+    24             & \textbf{  1830.89} &            1612.98 & \textbf{  444.87} &           426.00 \\
+    \hline
+    25             & \textbf{  2289.77} &            2057.13 & \textbf{  470.55} &           459.47 \\
+    \hline
+    26             & \textbf{  2768.24} &            2527.22 & \textbf{  484.95} &           478.83 \\
+    \hline
+    27             & \textbf{  3257.48} &            3011.90 & \textbf{  492.70} &           489.44 \\
+    \hline
+    28             & \textbf{  3752.44} &            3504.46 & \textbf{  496.78} &           495.07 \\
+    \hline
+    29             & \textbf{  4250.40} &            4001.16 & \textbf{  498.90} &           498.02 \\
+    \hline
+    30             & \textbf{  4749.91} &            4500.02 & \textbf{  500.00} &           499.54 \\
+    \hline
+    31             & \textbf{  5250.23} &            5000.00 & \textbf{  500.56} &           500.33 \\
+    \hline
+  \end{tabular}
+  \caption[Default vertical mesh in $z$-coordinate for 30 layers ORCA2 configuration]{
+    Default vertical mesh in $z$-coordinate for 30 layers ORCA2 configuration as
+    computed from \autoref{eq:DOMCFG_zgr_ana_2} using
+    the coefficients given in \autoref{eq:DOMCFG_zgr_coef}}
+  \label{tab:DOMCFG_orca_zgr}
 \end{table}
 %%%YY
@@ -405,5 +408,9 @@
 %------------------------------------------nam_zgr_sco---------------------------------------------------
 %
-\nlst{namzgr_sco_domcfg}
+\begin{listing}
+  \nlst{namzgr_sco_domcfg}
+  \caption{\texttt{namzgr\_sco\_domcfg}}
+  \label{lst:namzgr_sco_domcfg}
+\end{listing}
 %--------------------------------------------------------------------------------------------------------------
 Options are defined in \nam{zgr\_sco} (\texttt{DOMAINcfg} only).
@@ -463,12 +470,10 @@
 %% %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht]
-  \begin{center}
-    \includegraphics[width=\textwidth]{Fig_sco_function}
-    \caption{
-      \protect\label{fig:DOMCFG_sco_function}
-      Examples of the stretching function applied to a seamount;
-      from left to right: surface, surface and bottom, and bottom intensified resolutions
-    }
-  \end{center}
+  \centering
+  \includegraphics[width=\textwidth]{Fig_sco_function}
+  \caption[DOMAINcfg: examples of the stretching function applied to a seamount]{
+    Examples of the stretching function applied to a seamount;
+    from left to right: surface, surface and bottom, and bottom intensified resolutions}
+  \label{fig:DOMCFG_sco_function}
 \end{figure}
 %% %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -516,12 +521,12 @@
 %% %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht]
+  \centering
   \includegraphics[width=\textwidth]{Fig_DOM_compare_coordinates_surface}
-  \caption{
+  \caption[DOMAINcfg: comparison of $s$- and $z$-coordinate]{
     A comparison of the \citet{song.haidvogel_JCP94} $S$-coordinate (solid lines),
     a 50 level $Z$-coordinate (contoured surfaces) and
     the \citet{siddorn.furner_OM13} $S$-coordinate (dashed lines) in the surface $100~m$ for
     a idealised bathymetry that goes from $50~m$ to $5500~m$ depth.
-    For clarity every third coordinate surface is shown.
-  }
+    For clarity every third coordinate surface is shown.}
   \label{fig:DOMCFG_fig_compare_coordinates_surface}
 \end{figure}