Index: NEMO/trunk/doc/latex/global/coding_rules.tex
===================================================================
--- NEMO/trunk/doc/latex/global/coding_rules.tex	(revision 11543)
+++ NEMO/trunk/doc/latex/global/coding_rules.tex	(revision 11563)
@@ -23,5 +23,5 @@
 \end{itemize}
 
-To satisfy part of these aims, \NEMO is written with a coding standard which is close to the ECMWF rules,
+To satisfy part of these aims, \NEMO\ is written with a coding standard which is close to the ECMWF rules,
 named DOCTOR \citep{gibson_rpt86}.
 These rules present some advantages like:
@@ -36,8 +36,8 @@
 \section{Introduction}
 
-This document describes conventions used in \NEMO coding and suggested for its development.
-The objectives are to offer a guide to all readers of the \NEMO code, and to facilitate the work of
+This document describes conventions used in \NEMO\ coding and suggested for its development.
+The objectives are to offer a guide to all readers of the \NEMO\ code, and to facilitate the work of
 all the developers, including the validation of their developments, and
-eventually the implementation of these developments within the \NEMO platform.
+eventually the implementation of these developments within the \NEMO\ platform.
 
 A first approach of these rules can be found in the code in \path{./src/OCE/module_example} where
@@ -48,5 +48,5 @@
 \footnote {\href{http://www.cesm.ucar.edu/working_groups/Software/dev_guide/dev_guide/node7.html}{UCAR conventions}},
 the previous version of this document (``FORTRAN coding standard in the OPA System'') and
-the expertise of the \NEMO System Team.
+the expertise of the \NEMO\ System Team.
 After a general overview below, this document will describe:
 
@@ -60,5 +60,5 @@
 \section{Overview and general conventions}
 
-\NEMO has 3 major components: ocean dynamics (\path{./src/OCE}), sea-ice (\path{./src/ICE}) and
+\NEMO\ has 3 major components: ocean dynamics (\path{./src/OCE}), sea-ice (\path{./src/ICE}) and
 marine biogeochemistry (\path{./src/MBG}).
 %, linear-tangent and adjoint of the dynamics ($TAM$) each of them corresponding to a directory.
@@ -143,5 +143,5 @@
 
 All FORTRAN keywords are in capital: \forcode{DIMENSION}, \forcode{WRITE}, \forcode{DO}, \forcode{END DO},
-\forcode{NAMELIST}, ... All other parts of the \NEMO code will be written in lower case.
+\forcode{NAMELIST}, ... All other parts of the \NEMO\ code will be written in lower case.
 
 \subsection{Comments}
@@ -217,5 +217,5 @@
 \subsection{F90 Standard}
 
-\NEMO software adheres to the \fninety language standard and does not rely on any specific language or
+\NEMO\ software adheres to the \fninety language standard and does not rely on any specific language or
 vendor extensions.
 
@@ -269,5 +269,5 @@
 For example, zdftke, where ``zdf'' stands for vertical diffusion, and ``tke'' for turbulent kinetic energy. \\
 Note that by implication multiple modules are not allowed in a single file.
-The use of common blocks is deprecated in \fortran 90 and their use in \NEMO is strongly discouraged.
+The use of common blocks is deprecated in \fortran 90 and their use in \NEMO\ is strongly discouraged.
 Modules are a better way to declare static data.
 Among the advantages of modules is the ability to freely mix data of various types, and
@@ -389,5 +389,5 @@
 Is to be used rather than the \#ifdef abbreviate form since it may have conflicts with some Unix scripts.
 
-Tests on cpp keys included in \NEMO at compilation step:
+Tests on cpp keys included in \NEMO\ at compilation step:
 
 \begin{itemize}
@@ -403,5 +403,5 @@
 \subsection{Configurations}
 
-The configuration defines the domain and the grid on which \NEMO is running.
+The configuration defines the domain and the grid on which \NEMO\ is running.
 It may be useful to associate a CPP key and some variables to a given configuration, although
 the part of the code changed under each of those keys should be minimized.
@@ -488,5 +488,5 @@
 \subsection{Headers}
 
-Prologues are not used in \NEMO for now, although it may become an interesting tool in combination with
+Prologues are not used in \NEMO\ for now, although it may become an interesting tool in combination with
 ProTeX auto documentation script in the future.
 Rules to code the headers and layout of a module or a routine are illustrated in the example module available with
@@ -564,5 +564,5 @@
 \subsection{Bounds checking}
 
-\NEMO is able to run when an array bounds checking option is enabled
+\NEMO\ is able to run when an array bounds checking option is enabled
 (provided the cpp key \texttt{key\_vectopt\_loop} is not defined). \\
 Thus, constructs of the following form are disallowed:
@@ -607,5 +607,5 @@
 the \texttt{stat=<integer\ variable>} optional argument. \\
 
-In addition to arrays contained within modules, many routines in \NEMO require local, ``workspace'' arrays to
+In addition to arrays contained within modules, many routines in \NEMO\ require local, ``workspace'' arrays to
 hold the intermediate results of calculations.
 In previous versions of \NEMO, these arrays were declared in such a way as to be automatically allocated on
@@ -698,5 +698,5 @@
 It is then associated with a sub-array of \texttt{wrk\_3d\_5} once the call to
 \texttt{wrk\_in\_use()} has completed successfully.
-Note that in F95 (to which \NEMO conforms) it is not possible for either the upper or lower array bounds of
+Note that in F95 (to which \NEMO\ conforms) it is not possible for either the upper or lower array bounds of
 the pointer object to differ from those of the target array. \\
 
@@ -711,5 +711,5 @@
 This should enable the developer to choose alternatives for use in the subroutine being worked on. \\
 
-When compiling \NEMO for production runs,
+When compiling \NEMO\ for production runs,
 the calls to {\texttt{wrk\_in\_use()} / \texttt{wrk\_not\_released()} can be reduced to stubs that just
 return \forcode{.false.} by setting the cpp key \texttt{key\_no\_workspace\_check}.
@@ -733,7 +733,7 @@
 \subsection{Parallelism using MPI}
 
-\NEMO is written in order to be able to run on one processor, or on one or more using MPI
+\NEMO\ is written in order to be able to run on one processor, or on one or more using MPI
 ($i.e.$ activating the cpp key $key\_mpp\_mpi$).
-The domain decomposition divides the global domain in cubes (see \NEMO reference manual).
+The domain decomposition divides the global domain in cubes (see \NEMO\ reference manual).
 Whilst coding a new development, the MPI compatibility has to be taken in account
 (see \path{./src/LBC/lib_mpp.F90}) and should be tested.