Index: NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11561)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11565)
@@ -34,11 +34,9 @@
 % Lateral Mixing Operator
 % ================================================================
-\section[Lateral mixing operators]
-{Lateral mixing operators}
+\section[Lateral mixing operators]{Lateral mixing operators}
 \label{sec:LDF_op}
 We remind here the different lateral mixing operators that can be used. Further details can be found in \autoref{subsec:TRA_ldf_op} and  \autoref{sec:DYN_ldf}.
 
-\subsection[No lateral mixing (\forcode{ln_traldf_OFF}, \forcode{ln_dynldf_OFF})]
-{No lateral mixing (\protect\np{ln\_traldf\_OFF}, \protect\np{ln\_dynldf\_OFF})}
+\subsection[No lateral mixing (\forcode{ln_traldf_OFF} \& \forcode{ln_dynldf_OFF})]{No lateral mixing (\protect\np{ln\_traldf\_OFF} \& \protect\np{ln\_dynldf\_OFF})}
 
 It is possible to run without explicit lateral diffusion on tracers (\protect\np{ln\_traldf\_OFF}\forcode{=.true.}) and/or
@@ -47,12 +45,10 @@
 see \autoref{subsec:DYN_adv_ubs}) and can be useful for testing purposes.
 
-\subsection[Laplacian mixing (\forcode{ln_traldf_lap}, \forcode{ln_dynldf_lap})]
-{Laplacian mixing (\protect\np{ln\_traldf\_lap}, \protect\np{ln\_dynldf\_lap})}
+\subsection[Laplacian mixing (\forcode{ln_traldf_lap} \& \forcode{ln_dynldf_lap})]{Laplacian mixing (\protect\np{ln\_traldf\_lap} \& \protect\np{ln\_dynldf\_lap})}
 Setting \protect\np{ln\_traldf\_lap}\forcode{=.true.} and/or \protect\np{ln\_dynldf\_lap}\forcode{=.true.} enables
 a second order diffusion on tracers and momentum respectively. Note that in \NEMO\ 4, one can not combine
 Laplacian and Bilaplacian operators for the same variable.
 
-\subsection[Bilaplacian mixing (\forcode{ln_traldf_blp}, \forcode{ln_dynldf_blp})]
-{Bilaplacian mixing (\protect\np{ln\_traldf\_blp}, \protect\np{ln\_dynldf\_blp})}
+\subsection[Bilaplacian mixing (\forcode{ln_traldf_blp} \& \forcode{ln_dynldf_blp})]{Bilaplacian mixing (\protect\np{ln\_traldf\_blp} \& \protect\np{ln\_dynldf\_blp})}
 Setting \protect\np{ln\_traldf\_blp}\forcode{=.true.} and/or \protect\np{ln\_dynldf\_blp}\forcode{=.true.} enables
 a fourth order diffusion on tracers and momentum respectively. It is implemented by calling the above Laplacian operator twice.
@@ -62,6 +58,5 @@
 % Direction of lateral Mixing
 % ================================================================
-\section[Direction of lateral mixing (\textit{ldfslp.F90})]
-{Direction of lateral mixing (\protect\mdl{ldfslp})}
+\section[Direction of lateral mixing (\textit{ldfslp.F90})]{Direction of lateral mixing (\protect\mdl{ldfslp})}
 \label{sec:LDF_slp}
 
@@ -325,6 +320,5 @@
 % Lateral Mixing Coefficients
 % ================================================================
-\section[Lateral mixing coefficient (\forcode{nn_aht_ijk_t}, \forcode{nn_ahm_ijk_t})]
-{Lateral mixing coefficient (\protect\np{nn\_aht\_ijk\_t}, \protect\np{nn\_ahm\_ijk\_t})}
+\section[Lateral mixing coefficient (\forcode{nn_aht_ijk_t} \& \forcode{nn_ahm_ijk_t})]{Lateral mixing coefficient (\protect\np{nn\_aht\_ijk\_t} \& \protect\np{nn\_ahm\_ijk\_t})}
 \label{sec:LDF_coef}
 
@@ -332,6 +326,5 @@
 The way the mixing coefficients are set in the reference version can be described as follows:
 
-\subsection[Mixing coefficients read from file (\forcode{nn_aht_ijk_t=-20, -30}, \forcode{nn_ahm_ijk_t=-20,-30})]
-{ Mixing coefficients read from file (\protect\np{nn\_aht\_ijk\_t}\forcode{=-20, -30}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=-20, -30})}
+\subsection[Mixing coefficients read from file (\forcode{=-20, -30})]{ Mixing coefficients read from file (\protect\np{nn\_aht\_ijk\_t}\forcode{=-20, -30} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=-20, -30})}
 
 Mixing coefficients can be read from file if a particular geographical variation is needed. For example, in the ORCA2 global ocean model,
@@ -357,6 +350,5 @@
 %--------------------------------------------------------------------------------------------------------------
 
-\subsection[Constant mixing coefficients (\forcode{nn_aht_ijk_t=0}, \forcode{nn_ahm_ijk_t=0})]
-{ Constant mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=0}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=0})}
+\subsection[Constant mixing coefficients (\forcode{=0})]{ Constant mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=0} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=0})}
 
 If constant, mixing coefficients are set thanks to a velocity and a length scales ($U_{scl}$, $L_{scl}$) such that:
@@ -374,6 +366,5 @@
  $U_{scl}$ and $L_{scl}$ are given by the namelist parameters \np{rn\_Ud}, \np{rn\_Uv}, \np{rn\_Ld} and \np{rn\_Lv}.
 
-\subsection[Vertically varying mixing coefficients (\forcode{nn_aht_ijk_t=10}, \forcode{nn_ahm_ijk_t=10})]
-{Vertically varying mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=10}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=10})}
+\subsection[Vertically varying mixing coefficients (\forcode{=10})]{Vertically varying mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=10} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=10})}
 
 In the vertically varying case, a hyperbolic variation of the lateral mixing coefficient is introduced in which
@@ -382,6 +373,5 @@
 This profile is hard coded in module \mdl{ldfc1d\_c2d}, but can be easily modified by users.
 
-\subsection[Mesh size dependent mixing coefficients (\forcode{nn_aht_ijk_t=20}, \forcode{nn_ahm_ijk_t=20})]
-{Mesh size dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=20}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=20})}
+\subsection[Mesh size dependent mixing coefficients (\forcode{=20})]{Mesh size dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=20} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=20})}
 
 In that case, the horizontal variation of the eddy coefficient depends on the local mesh size and
@@ -408,6 +398,5 @@
 \colorbox{yellow}{CASE \np{nn\_aht\_ijk\_t} = 21 to be added}
 
-\subsection[Mesh size and depth dependent mixing coefficients (\forcode{nn_aht_ijk_t=30}, \forcode{nn_ahm_ijk_t=30})]
-{Mesh size and depth dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=30}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=30})}
+\subsection[Mesh size and depth dependent mixing coefficients (\forcode{=30})]{Mesh size and depth dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=30} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=30})}
 
 The 3D space variation of the mixing coefficient is simply the combination of the 1D and 2D cases above,
@@ -415,6 +404,5 @@
 the magnitude of the coefficient.
 
-\subsection[Velocity dependent mixing coefficients (\forcode{nn_aht_ijk_t=31}, \forcode{nn_ahm_ijk_t=31})]
-{Flow dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=31}, \protect\np{nn\_ahm\_ijk\_t}\forcode{=31})}
+\subsection[Velocity dependent mixing coefficients (\forcode{=31})]{Flow dependent mixing coefficients (\protect\np{nn\_aht\_ijk\_t}\forcode{=31} \& \protect\np{nn\_ahm\_ijk\_t}\forcode{=31})}
 In that case, the eddy coefficient is proportional to the local velocity magnitude so that the Reynolds number $Re =  \lvert U \rvert  e / A_l$ is constant (and here hardcoded to $12$):
 \colorbox{yellow}{JC comment: The Reynolds is effectively set to 12 in the code for both operators but shouldn't it be 2 for Laplacian ?}
@@ -430,6 +418,5 @@
 \end{equation}
 
-\subsection[Deformation rate dependent viscosities (\forcode{nn_ahm_ijk_t=32})]
-{Deformation rate dependent viscosities (\protect\np{nn\_ahm\_ijk\_t}\forcode{=32})}
+\subsection[Deformation rate dependent viscosities (\forcode{nn_ahm_ijk_t=32})]{Deformation rate dependent viscosities (\protect\np{nn\_ahm\_ijk\_t}\forcode{=32})}
 
 This option refers to the \citep{smagorinsky_MW63} scheme which is here implemented for momentum only. Smagorinsky chose as a
@@ -483,6 +470,5 @@
 % Eddy Induced Mixing
 % ================================================================
-\section[Eddy induced velocity (\forcode{ln_ldfeiv=.true.})]
-{Eddy induced velocity (\protect\np{ln\_ldfeiv}\forcode{=.true.})}
+\section[Eddy induced velocity (\forcode{ln_ldfeiv})]{Eddy induced velocity (\protect\np{ln\_ldfeiv})}
 
 \label{sec:LDF_eiv}
@@ -555,7 +541,5 @@
 % Mixed layer eddies
 % ================================================================
-\section[Mixed layer eddies (\forcode{ln_mle=.true.})]
-{Mixed layer eddies (\protect\np{ln\_mle}\forcode{=.true.})}
-
+\section[Mixed layer eddies (\forcode{ln_mle})]{Mixed layer eddies (\protect\np{ln\_mle})}
 \label{sec:LDF_mle}
 