Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11571)
@@ -359,6 +359,5 @@
 %        z-coordinate with constant thickness
 % -------------------------------------------------------------------------------------------------------------
-\subsubsection[$Z$-coordinate with uniform thickness levels (\forcode{ln_zco = .true.})]
-{$Z$-coordinate with uniform thickness levels (\protect\np{ln\_zco}\forcode{ = .true.})}
+\subsubsection[$Z$-coordinate with uniform thickness levels (\forcode{ln_zco})]{$Z$-coordinate with uniform thickness levels (\protect\np{ln\_zco})}
 \label{subsec:DOMCFG_zco}
 
@@ -372,6 +371,5 @@
 %        z-coordinate with partial step
 % -------------------------------------------------------------------------------------------------------------
-\subsubsection[$Z$-coordinate with partial step (\forcode{ln_zps = .true.})]
-{$Z$-coordinate with partial step (\protect\np{ln\_zps}\forcode{ = .true.})}
+\subsubsection[$Z$-coordinate with partial step (\forcode{ln_zps})]{$Z$-coordinate with partial step (\protect\np{ln\_zps})}
 \label{subsec:DOMCFG_zps}
 
@@ -403,6 +401,5 @@
 %        s-coordinate
 % -------------------------------------------------------------------------------------------------------------
-\subsubsection[$S$-coordinate (\forcode{ln_sco = .true.})]
-{$S$-coordinate (\protect\np{ln\_sco}\forcode{ = .true.})}
+\subsubsection[$S$-coordinate (\forcode{ln_sco})]{$S$-coordinate (\protect\np{ln\_sco})}
 \label{sec:DOMCFG_sco}
 %------------------------------------------nam_zgr_sco---------------------------------------------------
@@ -556,6 +553,5 @@
 %        z*- or s*-coordinate
 % -------------------------------------------------------------------------------------------------------------
-\subsubsection[\zstar- or \sstar-coordinate (\forcode{ln_linssh = .false.})]
-{\zstar- or \sstar-coordinate (\protect\np{ln\_linssh}\forcode{ = .false.})}
+\subsubsection[\zstar- or \sstar-coordinate (\forcode{ln_linssh})]{\zstar- or \sstar-coordinate (\protect\np{ln\_linssh})}
 \label{subsec:DOMCFG_zgr_star}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11571)
@@ -22,6 +22,5 @@
 \newpage
 
-\section[Choice of \texttt{namtra\_ldf} namelist parameters]
-{Choice of \protect\nam{tra\_ldf} namelist parameters}
+\section[Choice of \forcode{namtra\_ldf} namelist parameters]{Choice of \protect\nam{tra\_ldf} namelist parameters}
 %-----------------------------------------nam_traldf------------------------------------------------------
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11571)
@@ -1330,6 +1330,5 @@
 %       NetCDF4 support
 % ================================================================
-\section[NetCDF4 support (\texttt{\textbf{key\_netcdf4}})]
-{NetCDF4 support (\protect\key{netcdf4})}
+\section[NetCDF4 support (\texttt{\textbf{key\_netcdf4}})]{NetCDF4 support (\protect\key{netcdf4})}
 \label{sec:DIA_nc4}
 
@@ -1450,6 +1449,5 @@
 %       Tracer/Dynamics Trends
 % -------------------------------------------------------------------------------------------------------------
-\section[Tracer/Dynamics trends (\texttt{namtrd})]
-{Tracer/Dynamics trends (\protect\nam{trd})}
+\section[Tracer/Dynamics trends (\forcode{&namtrd})]{Tracer/Dynamics trends (\protect\nam{trd})}
 \label{sec:DIA_trd}
 
@@ -1502,6 +1500,5 @@
 %       On-line Floats trajectories
 % -------------------------------------------------------------------------------------------------------------
-\section[FLO: On-Line Floats trajectories (\texttt{\textbf{key\_floats}})]
-{FLO: On-Line Floats trajectories (\protect\key{floats})}
+\section[FLO: On-Line Floats trajectories (\texttt{\textbf{key\_floats}})]{FLO: On-Line Floats trajectories (\protect\key{floats})}
 \label{sec:DIA_FLO}
 %--------------------------------------------namflo-------------------------------------------------------
@@ -1609,6 +1606,5 @@
 %       Harmonic analysis of tidal constituents
 % -------------------------------------------------------------------------------------------------------------
-\section[Harmonic analysis of tidal constituents (\texttt{\textbf{key\_diaharm}})]
-{Harmonic analysis of tidal constituents (\protect\key{diaharm})}
+\section[Harmonic analysis of tidal constituents (\texttt{\textbf{key\_diaharm}})]{Harmonic analysis of tidal constituents (\protect\key{diaharm})}
 \label{sec:DIA_diag_harm}
 
@@ -1661,6 +1657,5 @@
 %       Sections transports
 % -------------------------------------------------------------------------------------------------------------
-\section[Transports across sections (\texttt{\textbf{key\_diadct}})]
-{Transports across sections (\protect\key{diadct})}
+\section[Transports across sections (\texttt{\textbf{key\_diadct}})]{Transports across sections (\protect\key{diadct})}
 \label{sec:DIA_diag_dct}
 
@@ -1988,6 +1983,5 @@
 %       Other Diagnostics
 % -------------------------------------------------------------------------------------------------------------
-\section[Other diagnostics]
-{Other diagnostics}
+\section{Other diagnostics}
 \label{sec:DIA_diag_others}
 
@@ -1995,6 +1989,5 @@
 The available ready-to-add diagnostics modules can be found in directory DIA.
 
-\subsection[Depth of various quantities (\textit{diahth.F90})]
-{Depth of various quantities (\protect\mdl{diahth})}
+\subsection[Depth of various quantities (\textit{diahth.F90})]{Depth of various quantities (\protect\mdl{diahth})}
 
 Among the available diagnostics the following ones are obtained when defining the \key{diahth} CPP key:
@@ -2031,6 +2024,5 @@
 %       CMIP specific diagnostics
 % -----------------------------------------------------------
-\subsection[CMIP specific diagnostics (\textit{diaar5.F90}, \textit{diaptr.F90})]
-{CMIP specific diagnostics (\protect\mdl{diaar5})}
+\subsection[CMIP specific diagnostics (\textit{diaar5.F90}, \textit{diaptr.F90})]{CMIP specific diagnostics (\protect\mdl{diaar5})}
 
 A series of diagnostics has been added in the \mdl{diaar5} and \mdl{diaptr}.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11571)
@@ -388,5 +388,5 @@
 % Domain: Horizontal Grid (mesh)
 % ================================================================
-\subsection{Horizontal grid mesh (\protect\mdl{domhgr})}
+\subsection[Horizontal grid mesh (\textit{domhgr.F90}]{Horizontal grid mesh (\protect\mdl{domhgr})}
 \label{subsec:DOM_hgr}
 
@@ -457,6 +457,5 @@
 % Domain: Vertical Grid (domzgr)
 % ================================================================
-\subsection[Vertical grid (\textit{domzgr.F90})]
-{Vertical grid (\protect\mdl{domzgr})}
+\subsection[Vertical grid (\textit{domzgr.F90})]{Vertical grid (\protect\mdl{domzgr})}
 \label{subsec:DOM_zgr}
 %-----------------------------------------namdom-------------------------------------------
@@ -624,5 +623,6 @@
 %        Closed seas
 %-------------------------------------------------------------------------------------------------
-\subsection{Closed seas} \label{subsec:DOM_closea}
+\subsection{Closed seas}
+\label{subsec:DOM_closea}
 
 When a global ocean is coupled to an atmospheric model it is better to represent all large water bodies
@@ -667,6 +667,5 @@
 % Domain: Initial State (dtatsd & istate)
 % ================================================================
-\section[Initial state (\textit{istate.F90} and \textit{dtatsd.F90})]
-{Initial state (\protect\mdl{istate} and \protect\mdl{dtatsd})}
+\section[Initial state (\textit{istate.F90} and \textit{dtatsd.F90})]{Initial state (\protect\mdl{istate} and \protect\mdl{dtatsd})}
 \label{sec:DOM_DTA_tsd}
 %-----------------------------------------namtsd-------------------------------------------
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11571)
@@ -1096,5 +1096,5 @@
 % Filtered free surface formulation
 %--------------------------------------------------------------------------------------------------------------
-\subsection[Filtered free surface (\forcode{dynspg_flt?})]{Filtered free surface (\protect\texttt{dynspg\_flt?})}
+\subsection{Filtered free surface (\forcode{dynspg_flt?})}
 \label{subsec:DYN_spg_fltp}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11571)
@@ -239,6 +239,5 @@
 % Exchange with neighbouring processors
 % ====================================================================
-\section[Exchange with neighbouring processors (\textit{lbclnk.F90}, \textit{lib\_mpp.F90})]
-{Exchange with neighbouring processors (\protect\mdl{lbclnk}, \protect\mdl{lib\_mpp})}
+\section[Exchange with neighbouring processors (\textit{lbclnk.F90}, \textit{lib\_mpp.F90})]{Exchange with neighbouring processors (\protect\mdl{lbclnk}, \protect\mdl{lib\_mpp})}
 \label{sec:LBC_mpp}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11571)
@@ -723,7 +723,5 @@
 %        Ocean-Atmosphere Bulk formulae
 % -------------------------------------------------------------------------------------------------------------
-\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare.F90, sbcblk\_algo\_coare3p5.F90,
-sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare}, \mdl{sbcblk\_algo\_coare3p5},
-\mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
+\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare.F90, sbcblk\_algo\_coare3p5.F90, sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare}, \mdl{sbcblk\_algo\_coare3p5}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
 \label{subsec:SBC_blk_ocean}
 
@@ -1375,5 +1373,5 @@
 % 3D Stokes Drift (ln_sdw, nn_sdrift)
 % ----------------------------------------------------------------
-\subsection[3D Stokes Drift (\texttt{ln\_sdw}, \forcode{nn_sdrift})]{3D Stokes Drift (\protect\np{ln\_sdw, nn\_sdrift})}
+\subsection[3D Stokes Drift (\forcode{ln_sdw}, \forcode{nn_sdrift})]{3D Stokes Drift (\protect\np{ln\_sdw, nn\_sdrift})}
 \label{subsec:SBC_wave_sdw}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11571)
@@ -597,5 +597,5 @@
 %&&     Triad rotated (bi-)laplacian operator
 %&&  -------------------------------------------
-\subsubsection[Triad rotated (bi-)laplacian operator (\textit{ln\_traldf\_triad})]{Triad rotated (bi-)laplacian operator (\protect\np{ln\_traldf\_triad})}
+\subsubsection[Triad rotated (bi-)laplacian operator (\forcode{ln_traldf_triad})]{Triad rotated (bi-)laplacian operator (\protect\np{ln\_traldf\_triad})}
 \label{subsec:TRA_ldf_triad}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11571)
@@ -896,5 +896,5 @@
 % Bottom Friction
 % ================================================================
-\section[Bottom and top friction (\textit{zdfdrg.F90})] {Bottom and top friction (\protect\mdl{zdfdrg})}
+\section[Bottom and top friction (\textit{zdfdrg.F90})]{Bottom and top friction (\protect\mdl{zdfdrg})}
 \label{sec:ZDF_drg}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11571)
@@ -38,6 +38,5 @@
 % 1D model configuration
 % ================================================================
-\section[C1D: 1D Water column model (\texttt{\textbf{key\_c1d}})]
-{C1D: 1D Water column model (\protect\key{c1d})}
+\section[C1D: 1D Water column model (\texttt{\textbf{key\_c1d}})]{C1D: 1D Water column model (\protect\key{c1d})}
 \label{sec:CFGS_c1d}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11571)
@@ -121,6 +121,5 @@
 % Closed seas
 % ================================================================
-\section[Closed seas (\textit{closea.F90})]
-{Closed seas (\protect\mdl{closea})}
+\section[Closed seas (\textit{closea.F90})]{Closed seas (\protect\mdl{closea})}
 \label{sec:MISC_closea}
 
@@ -255,10 +254,8 @@
 % Accuracy and Reproducibility
 % ================================================================
-\section[Accuracy and reproducibility (\textit{lib\_fortran.F90})]
-{Accuracy and reproducibility (\protect\mdl{lib\_fortran})}
+\section[Accuracy and reproducibility (\textit{lib\_fortran.F90})]{Accuracy and reproducibility (\protect\mdl{lib\_fortran})}
 \label{sec:MISC_fortran}
 
-\subsection[Issues with intrinsinc SIGN function (\texttt{\textbf{key\_nosignedzero}})]
-{Issues with intrinsinc SIGN function (\protect\key{nosignedzero})}
+\subsection[Issues with intrinsinc SIGN function (\texttt{\textbf{key\_nosignedzero}})]{Issues with intrinsinc SIGN function (\protect\key{nosignedzero})}
 \label{subsec:MISC_sign}
 
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11570)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11571)
@@ -73,6 +73,5 @@
 % Surface Pressure Gradient and Sea Surface Height
 % ================================================================
-\section[Surface pressure gradient and sea surface heigth (\textit{dynspg.F90})]
-{Surface pressure gradient and sea surface heigth (\protect\mdl{dynspg})}
+\section[Surface pressure gradient and sea surface heigth (\textit{dynspg.F90})]{Surface pressure gradient and sea surface heigth (\protect\mdl{dynspg})}
 \label{sec:MBZ_dyn_hpg_spg}
 %-----------------------------------------nam_dynspg----------------------------------------------------
@@ -98,6 +97,5 @@
 % Explicit
 %-------------------------------------------------------------
-\subsubsection[Explicit (\texttt{\textbf{key\_dynspg\_exp}})]
-{Explicit (\protect\key{dynspg\_exp})}
+\subsubsection[Explicit (\texttt{\textbf{key\_dynspg\_exp}})]{Explicit (\protect\key{dynspg\_exp})}
 \label{subsec:MBZ_dyn_spg_exp}
 
@@ -135,6 +133,5 @@
 % Split-explicit time-stepping
 %-------------------------------------------------------------
-\subsubsection[Split-explicit time-stepping (\texttt{\textbf{key\_dynspg\_ts}})]
-{Split-explicit time-stepping (\protect\key{dynspg\_ts})}
+\subsubsection[Split-explicit time-stepping (\texttt{\textbf{key\_dynspg\_ts}})]{Split-explicit time-stepping (\protect\key{dynspg\_ts})}
 \label{subsec:MBZ_dyn_spg_ts}
 %--------------------------------------------namdom----------------------------------------------------
@@ -293,6 +290,5 @@
 % Filtered formulation
 %-------------------------------------------------------------
-\subsubsection[Filtered formulation (\texttt{\textbf{key\_dynspg\_flt}})]
-{Filtered formulation (\protect\key{dynspg\_flt})}
+\subsubsection[Filtered formulation (\texttt{\textbf{key\_dynspg\_flt}})]{Filtered formulation (\protect\key{dynspg\_flt})}
 \label{subsec:MBZ_dyn_spg_flt}
 
@@ -308,6 +304,5 @@
 % Non-linear free surface formulation
 %-------------------------------------------------------------
-\subsection[Non-linear free surface formulation (\texttt{\textbf{key\_vvl}})]
-{Non-linear free surface formulation (\protect\key{vvl})}
+\subsection[Non-linear free surface formulation (\texttt{\textbf{key\_vvl}})]{Non-linear free surface formulation (\protect\key{vvl})}
 \label{subsec:MBZ_dyn_spg_vvl}
 