Index: NEMO/trunk/doc/latex/global/document.tex
===================================================================
--- NEMO/trunk/doc/latex/global/document.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/document.tex	(revision 11572)
@@ -11,5 +11,5 @@
 
 %% Document layout
-\documentclass[fontsize = 10pt, twoside, abstract]{scrreprt}
+\documentclass[fontsize = 10pt, twoside, abstract, draft]{scrreprt}
 
 %% Load configurations
@@ -99,7 +99,7 @@
 \addcontentsline{toc}{chapter}{Indexes}
 \lohead{Indexes} \rehead{Indexes}
+\printindex[blocks]
 \printindex[keys]
 \printindex[modules]
-\printindex[blocks]
 \printindex[parameters]
 \printindex[subroutines]
Index: NEMO/trunk/doc/latex/global/highlighting.tex
===================================================================
--- NEMO/trunk/doc/latex/global/highlighting.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/highlighting.tex	(revision 11572)
@@ -2,5 +2,5 @@
 %% ==============================================================================
 
-\usepackage[outputdir=../build, chapter]{minted}
+\usepackage[outputdir=../build, chapter, newfloat]{minted}
 
 %% Global highlighting style
Index: NEMO/trunk/doc/latex/global/index.ist
===================================================================
--- NEMO/trunk/doc/latex/global/index.ist	(revision 11567)
+++ NEMO/trunk/doc/latex/global/index.ist	(revision 11572)
@@ -1,8 +1,5 @@
 headings_flag 1
-heading_prefix "{\\medskip\\hfill\\large\\textsf{\\textbf{"
-heading_suffix "}}\\hfill}\\medskip\\nopagebreak\n"
+heading_prefix "{\\medskip\\hfill\\large{"
+heading_suffix "}}\\hfill}\\smallskip\n"
 
 delim_0 "\\dotfill~"
-delim_1 "\\dotfill~"
-delim_2 "\\dotfill~"
-
Index: NEMO/trunk/doc/latex/global/indexes.tex
===================================================================
--- NEMO/trunk/doc/latex/global/indexes.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/indexes.tex	(revision 11572)
@@ -3,24 +3,19 @@
 
 %% Index entries (italic font for files, preformat for code)
-\newcommand{\hf}[1]{\textit{#1.h90}   \index{h90 files!#1}}
-\newcommand{\ifile}[1]{\textit{#1.nc} \index{Input NetCDF files!#1.nc}}
-\newcommand{\jp}[1]{\texttt{#1}       \index{Model parameters!#1}}
-\newcommand{\key}[1]{\index[keys]{#1}        \texttt{\textbf{key\_#1}}}
-\newcommand{\mdl}[1]{\index[modules]{#1}     \textit{#1.F90}          }
-\newcommand{\nam}[1]{\index[blocks]{#1}      \forcode{&nam#1}         }
-\newcommand{\np}[1]{    \index[parameters]{#1}  \texttt{#1}           }
-\newcommand{\npnew}[2]{ \index[parameters]{#1}  \forcode{#1=#2}       }
-\newcommand{\rou}[1]{\index[subroutines]{#1} \texttt{#1}              }
+\newcommand{\hf}[1]{   \index{h90 files!#1}             \textit{#1.h90}          }
+\newcommand{\ifile}[1]{\index{Input NetCDF files!#1.nc} \textit{#1.nc}           }
+\newcommand{\jp}[1]{   \index{Model parameters!#1}      \texttt{#1}              }
+\newcommand{\key}[1]{  \index[keys]{#1@\texttt{\textbf{key\_#1}}} \texttt{\textbf{key\_#1}}}
+\newcommand{\mdl}[1]{  \index[modules]{#1@\textit{#1.F90}}        \textit{#1.F90}          }
+\newcommand{\nam}[1]{  \index[blocks]{#1@\texttt{\&nam#1}}        \forcode{&nam#1}         }
+\newcommand{\np}[1]{   \index[parameters]{#1@\texttt{#1}}         \texttt{#1}              }
+\newcommand{\npnew}[2][]{\index[parameters]{#2@\texttt{#2}}       \forcode{#2#1}           }
+\newcommand{\rou}[1]{  \index[subroutines]{#1@\texttt{#1}}        \texttt{#1}              }
 
 \indexsetup{toclevel=section, othercode=\small}
 
-\makeindex[intoc=true, name=keys       , title=CPP keys            ({\em key\_     } prefix)
-         ]
-\makeindex[intoc=true, name=modules    , title=\fortran\ modules   ({\em *.F90     }       ),
-columns=3]
-\makeindex[intoc=true, name=blocks     , title=Namelist blocks     ({\em nam       } prefix),
-columns=3]
-\makeindex[intoc=true, name=parameters , title=Namelist parameters ({\em [cdlnr]n\_}       ),
-columns=3]
-\makeindex[intoc=true, name=subroutines, title=Subroutines
-         ]
+\makeindex[intoc=true, name=blocks     , title=Namelist blocks      , columns=3]
+\makeindex[intoc=true, name=keys       , title=CPP keys                        ]
+\makeindex[intoc=true, name=modules    , title=\fortran\ modules    , columns=3]
+\makeindex[intoc=true, name=parameters , title=Namelist parameters  , columns=3]
+\makeindex[intoc=true, name=subroutines, title=\fortran\ subroutines           ]
Index: NEMO/trunk/doc/latex/global/packages.tex
===================================================================
--- NEMO/trunk/doc/latex/global/packages.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/packages.tex	(revision 11572)
@@ -6,15 +6,13 @@
 
 %% KOMA-script
-%\usepackage{scrhack}
-\usepackage[footsepline=0.25pt,
-headsepline=0.25pt]{scrlayer-scrpage}
+\usepackage[footsepline=0.25pt, headsepline=0.25pt]{scrlayer-scrpage}
 
 %% customization (layout, header/footer styles & contents, background)
 \usepackage{draftwatermark}
-\usepackage[margin = 2cm]{geometry}             %% 'pass' to enable \restoregeometry only
+\usepackage[margin = 2cm]{geometry}
 \usepackage[pages = some]{background}   %% 'some' for title page
 \usepackage[Bjornstrup]{fncychap}
 
-%% fonts
+%% Fonts
 \usepackage{fontspec}
 %% Issue with fontawesome pkg: path to FontAwesome.otf has to be hard-coded
@@ -24,17 +22,17 @@
 \usepackage{academicons, fontawesome, newtxtext}
 
-%% formatting
-\usepackage{tabularx, etoc, xcolor}
+%% Formatting
+\usepackage{etoc, tabularx, xcolor}
 
-%% graphics
+%% Graphics
 \usepackage{caption, graphicx}
 
-%% labels
-\usepackage{bookmark, lastpage, natbib}
+%% Labels
+\usepackage{lastpage, natbib}
 
-%% mathematics
+%% Mathematics
 \usepackage{amsmath, amssymb}
 
-%% versatility
+%% Versatility
 \usepackage{subfiles}
 
Index: NEMO/trunk/doc/latex/global/preamble.tex
===================================================================
--- NEMO/trunk/doc/latex/global/preamble.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/preamble.tex	(revision 11572)
@@ -16,14 +16,11 @@
   colorlinks,
   citecolor = manualcolor, linkcolor = manualcolor, urlcolor = manualcolor,
-  final = true  %% Links even with draft building
+  final   %% Links even in draft mode
 }
 
-\backgroundsetup{
-  firstpage = true,
-  scale = 1, angle = 0, opacity = 1,
-  contents = {
-    \begin{tikzpicture}[remember picture, overlay]
-      \path [fill = manualcolor] (-0.5\paperwidth, 7) rectangle (0.5\paperwidth, 10);
-    \end{tikzpicture}
-  }
-}
+%% `\autoref` uncapitalization
+\renewcommand{\appendixautorefname}{appendix}
+\renewcommand{\equationautorefname}{equation}
+\renewcommand{\figureautorefname}{figure}
+%\renewcommand{\listingautorefname}{namelist}
+\renewcommand{\tableautorefname}{table}
Index: NEMO/trunk/doc/latex/global/styles.tex
===================================================================
--- NEMO/trunk/doc/latex/global/styles.tex	(revision 11567)
+++ NEMO/trunk/doc/latex/global/styles.tex	(revision 11572)
@@ -19,11 +19,4 @@
 \captionsetup{font = footnotesize, justification = justified}
 
-%% `\autoref` names (uncapitalize)
-\renewcommand{\appendixautorefname}{appendix}
-\renewcommand{\equationautorefname}{equation}
-\renewcommand{\figureautorefname}{figure}
-%\renewcommand{\listingautorefname}{namelist}
-\renewcommand{\tableautorefname}{table}
-
 %% Footnote
 \renewcommand{\thefootnote}{\fnsymbol{footnote}}
@@ -40,4 +33,15 @@
 %% Prevent error with tikz and namelist inclusion
 \global\let\tikz@ensure@dollar@catcode=\relax
+
+%% First page
+\backgroundsetup{
+  firstpage = true,
+  scale = 1, angle = 0, opacity = 1,
+  contents = {
+    \begin{tikzpicture}[remember picture, overlay]
+      \path [fill = manualcolor] (-0.5\paperwidth, 7) rectangle (0.5\paperwidth, 10);
+    \end{tikzpicture}
+  }
+}
 
 %% Apply engine color for chapter headings: tweaking snippets from fncychap.sty